import * as STS from '@aws-sdk/client-sts';
import { ILogger } from 'typescript-ilogger';
import { ISTSHelper } from './interface';
import { BaseClass } from 'typescript-helper-functions';
export declare class STSHelper extends BaseClass implements ISTSHelper {
    private Repository;
    private Options;
    constructor(logger: ILogger, repository?: STS.STS, options?: STS.STSClientConfig);
    AssumeRoleAsync(roleArn: string): Promise<STS.AssumeRoleResponse>;
}
